-- Base plugins and libraries

return {
  "nvim-lua/plenary.nvim",
  {
    "folke/snacks.nvim",
    priority = 1000, -- needs to be set up early
    lazy = false,
    opts = {
      bigfiles = { enabled = true },
      dashboard = { enabled = true },
      indent = { enabled = true, animate = { enabled = false } },
      input = { enabled = true },
      lazygit = { enabled = true },
      quickfile = { enabled = true },
      statuscolumn = { enabled = true }
    }
  }
}
